package com.ruoyi.app.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * 吊钩绑定对象 hook_bind
 * 
 * @author coede
 * @date 2025-03-19
 */
public class HookBind extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 批次号 */
    @Excel(name = "批次号")
    private String batchNo;

    /** 挂钩号 */
    @Excel(name = "吊钩号")
    private String hookNo;

    /** 挂钩号 */
    @Excel(name = "血码")
    private String slaughterCode;

    /** 分销批次ID */
    @Excel(name = "分销批次ID")
    private Long distributeBatchId;

    /** 是否绑定，0-未绑定，1-已绑定 */
    @Excel(name = "是否绑定，0-未绑定，1-已绑定")
    private String isBind;

    /** 绑定时间 */
    @Excel(name = "绑定时间")
    private Date bindTime;

    /** 删除标志 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setHookNo(String hookNo)
    {
        this.hookNo = hookNo;
    }

    public String getHookNo()
    {
        return hookNo;
    }

    public void setBatchNo(String batchNo)
    {
        this.batchNo = batchNo;
    }

    @NotBlank(message = "吊钩号不能为空")
    public String getBatchNo()
    {
        return batchNo;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    @NotBlank(message = "血码不能为空")
    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setDistributeBatchId(Long distributeBatchId) 
    {
        this.distributeBatchId = distributeBatchId;
    }

    public Long getDistributeBatchId() 
    {
        return distributeBatchId;
    }

    public void setIsBind(String isBind) 
    {
        this.isBind = isBind;
    }

    public String getIsBind() 
    {
        return isBind;
    }

    public void setBindTime(Date bindTime)
    {
        this.bindTime = bindTime;
    }

    public Date getBindTime()
    {
        return bindTime;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("batchNo", getBatchNo())
            .append("hookNo", getHookNo())
            .append("batchNo", getBatchNo())
            .append("distributeBatchId", getDistributeBatchId())
            .append("isBind", getIsBind())
            .append("bindTime", getBindTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
